Bug 807748 - iwlwifi: WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
iwlwifi: WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:5cf0fa79c783d7438af5a88fe71...
:
: 813552 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 11:30 EDT by Satish Balay
Modified: 2012-11-14 15:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 15:47:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satish Balay 2012-03-28 11:30:34 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.0-4.fc16.x86_64 root=UUID=4bf08f13-5615-4af1-bba1-6e451dc28477 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.3.0-4.fc16.x86_64
reason:         [240099.944323] WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
time:           Wed 28 Mar 2012 09:22:10 AM CDT

backtrace:
:[240099.944323] WARNING: at lib/list_debug.c:30 __list_add+0x8f/0xa0()
:[240099.944325] Hardware name: 417152U
:[240099.944327] list_add corruption. prev->next should be next (ffff8802110270f0), but was ffff8802110240e0. (prev=ffff8802110240e0).
:[240099.944329] Modules linked in: thinkpad_acpi iwlwifi(-) mac80211 cfg80211 joydev tcp_lp ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 bridge cxgb3i libcxgbi cxgb3 stp llc mdio ib_iser lockd rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_conexant vhost_net macvtap macvlan tun arc4 virtio_net snd_hda_intel snd_hda_codec snd_hwdep kvm_intel kvm snd_seq snd_seq_device snd_pcm iTCO_wdt snd_timer iTCO_vendor_support i2c_i801 snd snd_page_alloc rfkill sunrpc tpm_tis uinput soundcore microcode tpm tpm_bios wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: e1000e]
:[240099.944392] Pid: 29508, comm: modprobe Not tainted 3.3.0-4.fc16.x86_64 #1
:[240099.944394] Call Trace:
:[240099.944400]  [<ffffffff81057b1f>] warn_slowpath_common+0x7f/0xc0
:[240099.944403]  [<ffffffff81057c16>] warn_slowpath_fmt+0x46/0x50
:[240099.944405]  [<ffffffff812d491f>] __list_add+0x8f/0xa0
:[240099.944413]  [<ffffffffa03e5733>] iwl_trans_rxq_free_rx_bufs+0x93/0xf0 [iwlwifi]
:[240099.944419]  [<ffffffffa03e6e3a>] iwl_trans_pcie_free+0x4a/0x2b0 [iwlwifi]
:[240099.944425]  [<ffffffffa03f6db1>] iwl_remove+0x102/0x126 [iwlwifi]
:[240099.944430]  [<ffffffffa03f6dfc>] iwl_pci_remove+0x27/0x67 [iwlwifi]
:[240099.944432]  [<ffffffff812e81d6>] pci_device_remove+0x46/0x110
:[240099.944436]  [<ffffffff813a151c>] __device_release_driver+0x7c/0xe0
:[240099.944439]  [<ffffffff813a1df8>] driver_detach+0xb8/0xc0
:[240099.944441]  [<ffffffff813a135a>] bus_remove_driver+0x8a/0x100
:[240099.944443]  [<ffffffff813a25b2>] driver_unregister+0x62/0xa0
:[240099.944447]  [<ffffffff812e7814>] pci_unregister_driver+0x44/0xa0
:[240099.944452]  [<ffffffffa03e5045>] iwl_pci_unregister_driver+0x15/0x20 [iwlwifi]
:[240099.944457]  [<ffffffffa03f6e45>] iwl_exit+0x9/0x1c4 [iwlwifi]
:[240099.944461]  [<ffffffff810b6606>] sys_delete_module+0x1a6/0x2b0
:[240099.944464]  [<ffffffff810d349c>] ? __audit_syscall_entry+0xcc/0x310
:[240099.944467]  [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b

comment:
:Just noticed this [an hour] after resuming from suspend today morning. However the time stamp on the event corresponds to lastnight when I suspened the machine.
:
:This machine has already been through multiple suspend/resume cycles [without a reboot] - in the past few days - without any abrt popup.
:
:Additional note: I have the following in /etc/pm/config.d/modules - to workarround suspend related machine freeze. [so far this prloenged the freeze intravel - but did not eliminate it] 
:SUSPEND_MODULES="sdhci sdhci_pci mmc_core e1000e iwlwifi cfg80211 cfg80211 rfkill thinkpad_acpi"

smolt_data:
:
:
:General
:=================================
:UUID: 2a41709c-be97-41ba-a820-160cbec24399
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4983.78
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 7869
:System Swap: 9999
:Vendor: LENOVO
:System: 417152U ThinkPad T420s
:Form factor: Notebook
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8658) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:294:6058:8658) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8658) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8658) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:133:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(4480:59426:59427:4480) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4147:404:6058:8658) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7171:6058:8658) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8658) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8658) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 4592374 2031353 1800953 1152816 823658 823658
:/dev/sda3 /home ext4 4096 4096 70893642 42441614 38892891 17743872 17255057 17255057
:
Comment 1 John W. Linville 2012-03-28 12:50:22 EDT
Wey-yi, it looks like there is list corruption in the rx queue for iwlwifi?
Comment 2 Dave Jones 2012-07-10 17:54:03 EDT
*** Bug 813552 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2012-10-23 11:27:41 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Satish Balay 2012-10-23 16:56:29 EDT
This issue occured only once [when it was reported] - but not since then..
Comment 5 Justin M. Forbes 2012-11-14 15:47:12 EST
I am going to go ahead and close this out since it hasn't reproduced.  Please reopen if it reproduces.

Note You need to log in before you can comment on or make changes to this bug.